/*
	This file is part of lobj.

	lobj is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lobj is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lobj.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LOBJ_ENVIRONMENT
#define LOBJ_ENVIRONMENT

#include "lobj.h"

int lobj_environment_get_user_name(lua_State* L);
int lobj_environment_get_real_name(lua_State* L);
int lobj_environment_get_user_data_dir(lua_State* L);
int lobj_environment_get_user_cache_dir(lua_State* L);
int lobj_environment_get_user_config_dir(lua_State* L);
int lobj_environment_get_user_special_dir(lua_State* L);
int lobj_environment_get_tmp_dir(lua_State* L);
int lobj_environment_get_current_dir(lua_State* L);
int lobj_environment_get_home_dir(lua_State* L);
int lobj_environment_get_host_name(lua_State* L);

#endif
