/*
	This file is part of lobj.

	lobj is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lobj is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lobj.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LOBJ_LIST
#define LOBJ_LIST

#include "object.h"

/* GStrv */
int lobj_gstrv2table(lua_State* L);
int lobj_table2gstrv(lua_State* L);

/* GSlist */
int lobj_gslist2table(lua_State* L);

/* GList */
int lobj_glist2table(lua_State* L);

#endif
