/*
	This file is part of lobj.

	lobj is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lobj is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lobj.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LOBJ_MAIN
#define LOBJ_MAIN

#include "object.h"

int lobj_main_loop_new(lua_State* L);
int lobj_main_loop_run(lua_State* L);
int lobj_main_loop_iterate(lua_State* L);
int lobj_main_loop_pending(lua_State* L);
int lobj_main_loop_quit(lua_State* L);

#endif
