/*
	This file is part of lobj.

	lobj is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lobj is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lobj.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LOBJ_STRING
#define LOBJ_STRING

#include "lobj.h"

int lobj_utf8_validate(lua_State* L);
int lobj_utf8_strup(lua_State* L);
int lobj_utf8_strdown(lua_State* L);
int lobj_utf8_casefold(lua_State* L);
int lobj_utf8_normalize(lua_State* L);
int lobj_utf8_strlen(lua_State* L);
int lobj_utf8_collate(lua_State* L);
int lobj_utf8_collate_key(lua_State* L);
int lobj_utf8_collate_key_for_filename(lua_State* L);
int lobj_utf8_from_filename(lua_State* L);
int lobj_utf8_to_filename(lua_State* L);
int lobj_convert(lua_State* L);
int lobj_get_charset(lua_State* L);

#endif
